# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without repolib

%define reltag CR1
%define version_full %{version}.%{reltag}
%define version_real 4

Name:           jboss-parent
Version:        4.0
Release:        3%{?dist}
Epoch:          0
Summary:        JBoss Parent POM
License:        LGPLv2+
Group:          Development/Java
URL:            http://labs.jboss.com/jboss/
## svn export http://anonsvn.labs.jboss.com/labs/jbossbuild/jboss-parent/tags/jboss-parent-4.0.CR1/ && tar cjf jboss-parent-4.0.CR1.tar.bz2 jboss-parent-4.0.CR1
##Source0:        %{name}-%{version_full}.tar.bz2
#wget http://repository.jboss.org/maven2/org/jboss/jboss-parent/4/jboss-parent-4.pom -O jboss-parent-4/pom.xml
#tar cjf jboss-parent-4.tar.bz2 jboss-parent
Source0:	jboss-parent-4.tar.bz2
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-source
BuildRequires:  maven-site-plugin
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JBoss Parent POM.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n %{name}
%{_bindir}/find . -name "*.jar" | %{_bindir}/xargs -t %{__rm} -f

%build
%{_bindir}/mvn-jpp -e \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        deploy

%install
%{__rm} -rf %{buildroot}

%add_to_maven_depmap org.jboss jboss-parent %{version_real} JPP %{name}

%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -a pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Mon Dec 13 2010 Fernando Nasser <fnasser@redhat.com> - 0:4.0-3
- Rebuild for MEAD repo loading

* Wed Dec 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:4.0-2
- Build with maven 2.2.1
- Add BR maven-site-plugin

* Wed Jun 09 2010 Martha Benitez <mbenitez@redhat.com> - 0:4.0-1.1
- Add repolib

* Fri Jun 04 2010 Martha Benitez <mbenitez@redhat.com> - 0:4.0-1
- Upgrade to 4

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:4.0-0.CR1.1.1.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:4.0-0.CR1.1.1
- Rebuild

* Thu Jan 15 2009 David Walluck <dwalluck@redhat.com>  0:4.0-0.CR1.1
- 4.0.CR1

* Wed Sep 24 2008 David Walluck <dwalluck@redhat.com>  0:1.0.1-4
- add maven fragment

* Tue Sep 23 2008 David Walluck <dwalluck@redhat.com>  0:1.0.1-3
- don't call %%update_maven_depmap

* Tue Sep 23 2008 David Walluck <dwalluck@redhat.com>  0:1.0.1-2
- add requires on jpackage-utils

* Wed Aug 20 2008 David Walluck <dwalluck@redhat.com>  0:1.0.1-1.jpp5
- release
